Name: xpa
Version: 2.1.7
Release: 0.3.b2%{?dist}
Summary: The XPA messaging system

# Upstream version
%define upversion 2.1.7b2

Group: Applications/Engineering
License: LGPLv2+
URL: http://hea-www.harvard.edu/RD/xpa/
Source0: http://hea-www.harvard.edu/saord/download/xpa/%{name}-%{upversion}.tar.gz
Patch0: xpa-2.1.6-makefile.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires: %{name}-libs = %{version}-%{release}

BuildRequires: tcl-devel libXt-devel
BuildRequires: /bin/awk

%description
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
It also provides an easy way for users to communicate with these 
XPA-enabled programs by executing XPA client commands in the shell or by 
utilizing such commands in scripts. Because XPA works both at the programming 
level and the shell level, it is a powerful tool for unifying any 
analysis environment: users and programmers have great flexibility 
in choosing the best level or levels at which to access XPA services, 
and client access can be extended or modified easily at any time.
This package contains command-line utilities for managing XPA.

%package devel
Summary: Headers for developing programs that will use %{name}
Group: Development/Libraries
Requires: %{name}-libs = %{version}-%{release}

%description devel
These are the header files and libraries needed to develop a %{name} 
application.

%package libs
Summary: The XPA messaging system runtime libraries
Group: System Environment/Libraries
%description libs
The XPA messaging system provides seamless communication between many kinds 
of Unix programs, including X programs and Tcl/Tk programs. 
This package contains the %{name} run-time library

%prep
%setup -q -n %{name}-%{upversion}
%patch0 -p1
# Remove ps files in html docs
%{__rm} -rf %{_builddir}/%{name}-%{version}/doc/*.ps

%build
%configure --enable-shared --with-tcl=%{_libdir} --with-x --enable-threaded-xpans --includedir=%{_includedir}/%{name}
%{__make} %{?_smp_mflags}
%{__make} %{?_smp_mflags} tclxpa

%install
%{__rm} -fr %{buildroot}
%{__make} INSTALL_ROOT=%{buildroot} install

%clean
%{__rm} -fr %{buildroot}

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%files libs
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*so.*


%files devel
%defattr(-,root,root,-)
%doc doc/*.html
%doc doc/*.pdf
%{_libdir}/*.so
%exclude %{_libdir}/*.a
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/mann/*

%changelog
* Sat Oct 13 2007 Sergio Pascual <sergiopr at fedoraproject dot org> 2.1.7-0.3.b2
- Splitted libraries in a new package
* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.2.b2.1
- Added /bin/awk to BuildReq
* Mon Aug 27 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.2.b2
- Rebuild for Fedora 8 to get the build-id
* Wed Mar 21 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.7-0.1.b2
- New upstream version 2.1.7b2
* Mon Feb 26 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-9
- Back to tcl 8.4 due to stability problems
* Thu Feb 01 2007 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-8
- Rebuilt for devel (out of sync with tcl).
* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-7
- Rebuilt for FC6 (tag problem).
* Tue Sep 12 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-6
- Rebuilt for FC6 (mass rebuild).
* Thu Jul 18 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-5
- Changed BuildRequires to make common spec for FC-4 and up
* Thu Jun 22 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-4
- Patch0 is modified so Makefile installs in $(libdir) instead of $(prefix)/lib
* Mon Jun 19 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-3
- Added some space between package devel and description devel and
  between install and clean to improve the flow and readability of the file.
* Tue Jun 13 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-2
- Specfile polished, minor fixes.
* Wed Feb 22 2006 Sergio Pascual <spr at astrax.fis.ucm.es> 2.1.6-1
- Initial spec file.
